/*
 * Class RT_DBG_ATTRIBUTE_RECORD [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_822 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_822 [] = {0xFF01,237,821,188,0xFFFF};
static const EIF_TYPE_INDEX egt_2_822 [] = {0xFF01,821,188,0xFFFF};
static const EIF_TYPE_INDEX egt_3_822 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_822 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_822 [] = {0xFF01,821,188,0xFFFF};
static const EIF_TYPE_INDEX egt_6_822 [] = {0xFF01,821,188,0xFFFF};
static const EIF_TYPE_INDEX egt_7_822 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_822 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_822 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_822 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_822 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_822 [] = {821,188,0xFFFF};
static const EIF_TYPE_INDEX egt_13_822 [] = {0xFF01,821,188,0xFFFF};
static const EIF_TYPE_INDEX egt_14_822 [] = {0xFF01,261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_15_822 [] = {261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_16_822 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_17_822 [] = {0xFF01,132,0xFFFF};
static const EIF_TYPE_INDEX egt_18_822 [] = {0xFFF9,2,174,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_19_822 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_20_822 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_21_822 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_822 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_822 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_822 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_822 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_822[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_822), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_822), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_822), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_822), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_822), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_822), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_822), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_822), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_822), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_822), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_822), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_822), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_822), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_822), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1034, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2665, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2678, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_822), 1073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_822), 11799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 11802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 11769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11770, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11785, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11792, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11795, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_822), 11796, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_822), 11797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11911, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 11912, 16},
	{EIF_GENERIC(egt_18_822), 11913, 0},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 12573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12574, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12575, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12576, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_822), 12578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11910, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12569, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_822), 12570, 4},
	{EIF_GENERIC(egt_21_822), 12571, 20},
	{EIF_NON_GENERIC(0x0191 /*200*/), 12572, 8},
	{EIF_GENERIC(NULL), 12582, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_822), 12583, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_822), 12584, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_822), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_822), 12577, 0xFFFFFFFF},
};
void Init822(void)
{
	IDSC(desc_822, 0, 821);
	IDSC(desc_822 + 1, 1, 821);
	IDSC(desc_822 + 32, 330, 821);
	IDSC(desc_822 + 34, 82, 821);
	IDSC(desc_822 + 59, 309, 821);
	IDSC(desc_822 + 60, 334, 821);
	IDSC(desc_822 + 103, 150, 821);
	IDSC(desc_822 + 115, 90, 821);
	IDSC(desc_822 + 123, 336, 821);
}


#ifdef __cplusplus
}
#endif
